Ticket #32 (assigned enhancement)

Opened 10 years ago

Last modified 21 months ago

savannah: mc doesn't clean up tempfiles

Reported by: mpol Owned by:
Priority: major Milestone: Future Releases
Component: mc-vfs Version: master
Keywords: Cc: imdagger@…
Blocked By: Blocking:
Branch state: no branch Votes for changeset:

Description (last modified by ossi) (diff)

Original: http://savannah.gnu.org/bugs/?13953

Submitted by:Marcel Pol <mpol>Submitted on:Wed 27 Jul 2005 02:40:48 PM UTC
Category:VFSSeverity:3 - Normal
Status:In ProgressPrivacy:Public
Assigned to:Pavel Tsekov <ptsekov>Open/Closed:Open
Release:current (CVS or snapshot)Operating System:GNU/Linux

Original submission:

Mc 4.6.1 doesn't clean up tempfiles. This happens with mc-4.6.1 on 
Mandriva Cooker.
This is with and without the utf8 patch.
I only tried it with an rpm, and the cpio file remains in the 
/tmp/mc-user directory after a restart of mc.

$ mc --version
GNU Midnight Commander 4.6.1
Virtual File System: tarfs, extfs, cpiofs, ftpfs, fish, undelfs
With builtin Editor
Using system-installed S-Lang library with terminfo database
With subshell support as default
With support for background operations
With mouse support on xterm and Linux console
With internationalization support
With multiple codepages support

A patch is available in the mc-devel archive at:
http://mail.gnome.org/archives/mc-devel/2005-May/msg00228.html
This patch has been made by Dieter Jurzitza on Suse 9.3. 

Comment 1 by Pavel Tsekov <ptsekov> at Mon 01 Aug 2005 08:56:00 AM UTC:

The suggested patch won't do i.e. it is not the right thing to do. 
I am currently investigating .

Comment 2 by Leonard den Ottolander <leonardjo> at Mon 01 Aug 2005 10:01:00 PM UTC:

Hi Pavel,

Hope you don't mind me assigning this issue to you :) .

Comment 3 by Pavel Tsekov <ptsekov> at Thu 23 Mar 2006 03:04:46 PM UTC:

I've just commited a fix:

http://cvs.savannah.gnu.org/viewcvs/mc/vfs/extfs.c?root=mc&sortby=date&r2=1.125&r1=1.124&diff_format=u

The temporary files used to remain only if MC exited before the vfs 
"garbage collector" kicked in.

Comment 4 by Pavel Tsekov <ptsekov> at Mon 03 Apr 2006 02:32:13 PM UTC:

Reopening since SFS also leaves stale temporary files when 
operating on remote files. I am working on it.

Change History

comment:1 Changed 10 years ago by winnie

  • Milestone set to 4.6.3

comment:2 Changed 9 years ago by winnie

  • Milestone changed from 4.6.2.1 to 4.6.3

comment:3 Changed 9 years ago by slavazanko

  • Milestone changed from 4.6.3 to 4.7

comment:4 Changed 9 years ago by angel_il

  • severity set to no branch
  • Milestone changed from 4.7 to 4.7.0-pre2

comment:5 Changed 9 years ago by styx

  • Version set to master

comment:6 Changed 9 years ago by iNode

  • Component changed from mc-core to mc-vfs

I can't reproduce it with either rpm and tar files.

If bug still here, please describe how to reproduce it.

comment:7 Changed 9 years ago by angel_il

  • Milestone changed from 4.7.0-pre2 to 4.7.0-pre3

comment:8 Changed 9 years ago by IMDagger

  • Cc imdagger@… added

I reproduced this bug on http://www.midnight-commander.org/browser/?rev=956f36a534993f2448e236d419cd85007567e0e2. May be this trouble is with nested archives. Example:
0) ls /tmp/mc-imdagger
<nothing>
1) cd ~/tmp
2) mkdir arch; cd arch
3) cp /usr/man/man2/chmod.2.gz ./
4) F2 -> 4 [Compress the current subdirectory (tar.bz2)]
5) mv ../arch.tar.bz2 ./
6) again F2 -> 4 [Compress the current subdirectory (tar.bz2)]
7) cd ..
8) enter into arch.tar.bz2, and after again into internal arch.tar.bz2, read chmod.2.gz by F3
9) leave archive totally
10) ls -l /tmp/mc-imdagger
-rw-r--r-- 1 imdagger imdagger 2319 2009-08-15 11:44 vfsffI5Obchmod.2.gz
-rw-r--r-- 1 imdagger imdagger 2958 2009-08-15 11:44 vfshGxdFaarch.tar.bz2
-rw-r--r-- 1 imdagger imdagger 2319 2009-08-15 11:44 vfsv7fm5bchmod.2.gz
11) C-x a, and free VFS
12) ls -l /tmp/mc-imdagger
-rw-r--r-- 1 imdagger imdagger 2319 2009-08-15 11:44 vfsffI5Obchmod.2.gz
-rw-r--r-- 1 imdagger imdagger 2958 2009-08-15 11:44 vfshGxdFaarch.tar.bz2
-rw-r--r-- 1 imdagger imdagger 2319 2009-08-15 11:44 vfsv7fm5bchmod.2.gz

comment:9 Changed 9 years ago by angel_il

  • Milestone changed from 4.7.0-pre3 to 4.7.0-pre4

comment:10 Changed 9 years ago by iNode

  • Status changed from new to accepted
  • Owner set to iNode

comment:11 Changed 9 years ago by slavazanko

  • Milestone changed from 4.7.0-pre4 to 4.7

comment:12 Changed 9 years ago by angel_il

  • Type changed from defect to enhancement

comment:13 Changed 7 years ago by andrew_b

  • Branch state set to no branch
  • Milestone changed from 4.7 to Future Releases

comment:14 Changed 5 years ago by ossi

  • Description modified (diff)
  • Reporter changed from slavazanko to mpol

comment:15 Changed 21 months ago by andrew_b

  • Status changed from accepted to assigned
  • Owner iNode deleted
Note: See TracTickets for help on using tickets.